#-------------------------------------------------------------------------------
# Copyright 2012 The Odysseus Team
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#-------------------------------------------------------------------------------
# Set root logger level to debug and its only appender to default.
log4j.rootLogger=INFO, default

# default is set to be a ConsoleAppender.
log4j.appender.default=org.apache.log4j.ConsoleAppender
# default uses PatternLayout.
log4j.appender.default.layout=org.apache.log4j.PatternLayout
log4j.appender.default2.layout=org.apache.log4j.PatternLayout
#log4j.appender.default.layout.ConversionPattern=%-4r [%t] %-5p %c{1} %x - %m - %l %n
# http://logging.apache.org/log4j/1.2/apidocs/org/apache/log4j/PatternLayout.html
log4j.appender.default.layout.ConversionPattern=%-4r %-5p %c{1} %x - %m - %l %n
log4j.appender.default2.layout.ConversionPattern=%-4r %-5p %c{1} %x - %m - %l %n

# infos für Transformation und Rewrite und der gemeinsamen Ruleengine
log4j.logger.ruleengine=ERROR
log4j.logger.transform=ERROR
log4j.logger.rewrite=ERROR

log4j.logger.de.uniol.inf.is.odysseus.net=ERROR

# Odysseus  orded!
log4j.logger.de.uniol.inf.is.odysseus.test=ERROR
log4j.logger.de.uniol.inf.is.odysseus.core.server.physicaloperator.buffer=ERROR
log4j.logger.de.uniol.inf.is.odysseus.recovery=DEBUG
log4j.logger.de.uniol.inf.is.odysseus.peer.loadbalancing.active=DEBUG

# Other
log4j.logger.org.mortbay.log=ERROR
log4j.logger.javax.enterprise.resource.webservices.jaxws.server=ERROR
log4j.logger.org.opcfoundation.ua=ERROR
log4j.logger.org.opcfoundation.ua=ERROR
